package JIP;

import java.util.Random;
import JIP.engine.*;


public class RandomNumberGen extends Random implements JIPXCall
{   
    int m_nMin, m_nMax;
    
    public void invoke(JIPTerm input)
    {
        if(input.isList())
        {
            JIPList list = input.getList();
            JIPNumber min = list.getHead().getNumber();
            JIPNumber max = list.getTail().getHead().getNumber();            
            m_nMin = (int)min.getValue();
            m_nMax = (int)max.getValue();            
        }
        else
        {
            throw new RuntimeException("The second parameter is bad");
        }
        
    }
    
    public JIPTerm getOutput()
    {     
        int n = (int)(nextDouble() * (double)(m_nMax - m_nMin + 1)) + m_nMin;
               
        return JIPNumber.getNewNumber(n);
    }
    
    public boolean succeeds()
    {
        return true;
    }
}